Add candidate additional information
curl --request POST \
--url https://api.hyrd.de/gin/v1/company/candidate/additional-information \
--header 'Content-Type: application/json' \
--data '
"{\n \"user_slug\": \"39c12359-7eaf-407d-9be7-97f522a1e7f2\",\n \"title\": \"Hello\", // required\n \"description\": \"some description\", // optional\n \"start_date\": \"12-12-2024\", // optional\n \"end_date\": \"13-12-2024\" // optional\n}"
'import requests
url = "https://api.hyrd.de/gin/v1/company/candidate/additional-information"
payload = "{
\"user_slug\": \"39c12359-7eaf-407d-9be7-97f522a1e7f2\",
\"title\": \"Hello\", // required
\"description\": \"some description\", // optional
\"start_date\": \"12-12-2024\", // optional
\"end_date\": \"13-12-2024\" // optional
}"
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify('{\n "user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",\n "title": "Hello", // required\n "description": "some description", // optional\n "start_date": "12-12-2024", // optional\n "end_date": "13-12-2024" // optional\n}')
};
fetch('https://api.hyrd.de/gin/v1/company/candidate/additional-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Company > Candidate
Add candidate additional information
Create Company Candidate IT Skill
This endpoint allows the addition of a new IT skill for a candidate within a company.
Request Body
-
user_slug(string): The unique identifier of the user. -
skill_name(string): The name of the IT skill. -
skill_level_id(integer): The level of proficiency in the IT skill (1 - 4).
Response
The response is in JSON format with the following schema:
{
"message": "string"
"status": "integer"
}
-
message(string): A message related to the request. -
status(integer): The status of the request.
Example:
{
"message": "Candidate job input successfully",
"status": 201
}
POST
/
gin
/
v1
/
company
/
candidate
/
additional-information
Add candidate additional information
Headers
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response
⌘I